## GESBaseEffectClip GESBaseEffectClip — An effect in a GESLayer |

## Types and Values

| GESBaseEffectClip

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GESTimelineElement
                ╰── GESContainer
                    ╰── GESClip
                        ╰── GESOperationClip
                            ╰── GESBaseEffectClip
                                ╰── GESEffectClip

## Implemented Interfaces

GESBaseEffectClip implements GESExtractable and GESMetaContainer.

## Includes

    #include <ges/ges.h>

## Description

The effect will be applied on the sources that have lower priorities (higher number) between the inpoint and the end of it.

## Functions

## Types and Values

### GESBaseEffectClip

    typedef struct _GESBaseEffectClip GESBaseEffectClip;